RESTinio

Classes | Functions
restinio::utils::details Namespace Reference

## Classes
struct | int16_parse_traits_t
struct | int32_parse_traits_t
struct | int64_parse_traits_t
struct | int8_parse_traits_t
struct | uint16_parse_traits_t
struct | uint32_parse_traits_t
struct | uint64_parse_traits_t
struct | uint8_parse_traits_t

## Functions
template<typename C >
const C * | digits_mapping ()
template<typename Integer >
Integer | parse_integer_no_checks (const std::uint8_t *const mapping_table, const char *data_begin, const char *data_end, bool apply_minus_sign, std::true_type)
template<typename Integer >
Integer | parse_integer_no_checks (const std::uint8_t *const mapping_table, const char *data_begin, const char *data_end, bool, std::false_type)
template<typename Traits >
Traits::type_t | parse_integer (const char *data_begin, const char *data_end)

## Function Documentation

## ◆ digits_mapping()

template<typename C >

const C * restinio::utils::details::digits_mapping | ( |  | ) |

Definition at line 11 of file from_string_details.ipp.

## ◆ parse_integer()

template<typename Traits >

Traits::type_t restinio::utils::details::parse_integer | ( | const char * | data_begin,
|  | const char * | data_end
| ) |  |

Definition at line 329 of file from_string_details.ipp.

## ◆ parse_integer_no_checks() [1/2]

template<typename Integer >

Integer restinio::utils::details::parse_integer_no_checks | ( | const std::uint8_t *const | mapping_table,
|  | const char * | data_begin,
|  | const char * | data_end,
|  | bool | apply_minus_sign,
|  | std::true_type |
| ) |  |

Definition at line 285 of file from_string_details.ipp.

## ◆ parse_integer_no_checks() [2/2]

template<typename Integer >

Integer restinio::utils::details::parse_integer_no_checks | ( | const std::uint8_t *const | mapping_table,
|  | const char * | data_begin,
|  | const char * | data_end,
|  | bool | ,
|  | std::false_type |
| ) |  |

Definition at line 310 of file from_string_details.ipp.